Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Проблемы с обновлениями  (Прочитано 1346 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Проблемы с обновлениями
« : 08 Ноябрь 2016, 20:11:10 »
Перестали обновляться программы (также и устанавливаться), "бракованный пакет" GCC-DOC, все рецепты по исправлению найденные мной в гугле не помогли , ну а пользователь я не слишком сведущий. прошу помогите !!!
вот результат sudo apt-get -f install

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic
  linux-headers-4.4.0-36-lowlatency linux-image-4.4.0-36-generic
  linux-image-4.4.0-36-lowlatency linux-image-extra-4.4.0-36-generic
  ubuntu-core-launcher
Для их удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  gcc-doc python-enum34
Предлагаемые пакеты:
  python-enum34-doc
Пакеты, которые будут УДАЛЕНЫ:
  python-enum
НОВЫЕ пакеты, которые будут установлены:
  python-enum34
Пакеты, которые будут обновлены:
  gcc-doc
обновлено 1, установлено 1 новых пакетов, для удаления отмечено 1 пакетов, и 2 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/39,2 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 191 kB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлен 3050571 файл и каталог.)
Подготовка к распаковке …/gcc-doc_4%3a5.3.1-1ubuntu1_amd64.deb …
install-info: Не задан файл каталога; попробуйте --help для получения более подробного описания.
dpkg: предупреждение: подпроцесс старый сценарий pre-removal возвратил код ошибки 1
dpkg: попытка использовать сценарий из нового пакета …
dpkg: ошибка при обработке архива /var/cache/apt/archives/gcc-doc_4%3a5.3.1-1ubuntu1_amd64.deb (--unpack):
 в новой версии пакета нет этого сценария, отказ
install-info: Не задан файл каталога; попробуйте --help для получения более подробного описания.
dpkg: ошибка при очистке:
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/gcc-doc_4%3a5.3.1-1ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Исправил.
Цитата: Правила форума
1.4. Листинги и содержимое текстовых файлов следует добавлять в сообщение с помощью тегов [spoiler]...[/spoiler] или [code]...[/code], либо прикреплять к сообщению в виде отдельного файла.

--Aleksandru
« Последнее редактирование: 08 Ноябрь 2016, 20:45:20 от Aleksandru »
Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #1 : 08 Ноябрь 2016, 20:28:22 »
возможно файл битый
/var/cache/apt/archives/gcc-doc_4%3a5.3.1-1ubuntu1_amd64.deb
sudo apt-get clean
и дальше апдейт, апгрейд

Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #2 : 08 Ноябрь 2016, 20:35:22 »
к сожалению результат тот же
Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #3 : 08 Ноябрь 2016, 20:38:19 »
ага, попробуй сменить сервер обновлений 

Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #4 : 08 Ноябрь 2016, 20:41:54 »
если можно для не образованых как это сделать :D
Ubuntu Studio 16.04 X64

Оффлайн wasserkocher

  • Новичок
  • *
  • Сообщений: 25
  • UBUNTU- вещь... пока работает)))
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #5 : 08 Ноябрь 2016, 20:46:47 »
16.04 LTS- после установки, тоже еще не разу не обновлялась... Раньше, на 12.04 обновления прилетали чуть не каждый день...
UBUNTU-16.04.LTS, AMD Phenom 9650 Quard-Core Processor x4,
Gr.Karte- Gallium 0.4 on NVAA, Тип ОС- 64, жесткий диск- разные

Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #6 : 08 Ноябрь 2016, 20:49:13 »
сменил сервер выдало ошибку :2funny:
 E:The package gcc-doc needs to be reinstalled, but I can't find an archive for it.
Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #7 : 08 Ноябрь 2016, 20:57:05 »


sudo apt-get update
sudo apt-cache show gcc-doc
??




Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #8 : 08 Ноябрь 2016, 21:02:23 »
Package: gcc-doc
Priority: optional
Section: doc
Installed-Size: 33
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Architecture: amd64
Source: gcc-defaults (1.150ubuntu1)
Version: 4:5.3.1-1ubuntu1
Depends: gcc-5-doc (>= 5.3.1-3~)
Suggests: gcc (>= 4:5.3.1-1ubuntu1)
Filename: pool/main/g/gcc-defaults/gcc-doc_5.3.1-1ubuntu1_amd64.deb
Size: 3448
MD5sum: f436b474e4fb3702d7c02af0d232f36f
SHA1: e32cb1aac49b8b226f1eb3e3754abd6068672703
SHA256: c31034490a2bad8bb4f71da6a9eb64b741b60997d898331893d88281c4f99c66
Description-ru: Документация для компиляторов GNU C (gcc, gobjc, g++)
 Documentation for the GNU compilers in info format (dependency package).
Description-md5: af77f0c56a32a74fc629f4cd7c91d2da
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 9m

Package: gcc-doc
Status: install reinstreq half-configured
Priority: optional
Section: doc
Installed-Size: 43
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: amd64
Source: gcc-defaults (1.124ubuntu6)
Version: 4:4.8.2-1ubuntu6
Config-Version: 4:4.8.2-1ubuntu6
Depends: gcc-4.8-doc (>= 4.8.2-5~)
Suggests: gcc (>= 4:4.8.2-1ubuntu6)
Description-ru: Документация для компиляторов GNU C (gcc, gobjc, g++)
 Documentation for the GNU compilers in info format (dependency package).
Description-md5: af77f0c56a32a74fc629f4cd7c91d2da
Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>

Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #9 : 08 Ноябрь 2016, 21:09:08 »

ну вот он, и инсталлирован, но не настроенsudo apt-get install -f
sudo apt-get install --reinstall gcc-doc
или


Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #10 : 08 Ноябрь 2016, 21:14:10 »
все тоже самое sudo apt-get install --reinstall gcc-doc
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 python-laditools : Зависит: python-enum34 но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
перед этим я выполнил install -f
Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #11 : 08 Ноябрь 2016, 22:39:56 »
версия ОС?
питон как ставили ?
что-нибудь ставить или удалить возможно?







Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #12 : 08 Ноябрь 2016, 22:47:46 »
Ubuntu Studio 16.04lts x64, притон шел вместе с GRC(GNU Radio Companion) ставил пару лет назад , проблема появилась после обновления с 14.04 на текущую  :-[ , grc уже не помню как ставил вроде deb 

Пользователь добавил сообщение 08 Ноябрь 2016, 22:51:37:
Через менеджер пакетов ни поставить ни удалить

Пользователь добавил сообщение 08 Ноябрь 2016, 22:57:13:
попробовал удалить так,   sudo apt-get remove  тоже не работает
« Последнее редактирование: 08 Ноябрь 2016, 22:57:13 от Финченко »
Ubuntu Studio 16.04 X64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #13 : 08 Ноябрь 2016, 23:01:55 »
dpkg -l python*|grep ^uhпотом пробуем удалить python-enum34, потом вернете
« Последнее редактирование: 08 Ноябрь 2016, 23:05:22 от ARTGALGANO »

Оффлайн Финченко

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: Проблемы с обновлениями
« Ответ #14 : 08 Ноябрь 2016, 23:05:33 »
Ввёл но терминал , ни каких сообщений не выдал :( что то не так сделал ?
Ubuntu Studio 16.04 X64

 

Страница сгенерирована за 0.119 секунд. Запросов: 24.